# **********************************************************************
# Copyright 2017 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$
# **********************************************************************
import json

from cli.commands.cli_command_provider import CliCommandProvider
from cli.commands.lcp_common.opsagent.client import get_opsagent_cli_output
from cli.commands.lcp_common.opsagent.client import load_response_output


class GetVimStatus(CliCommandProvider):
    def __call__(self, cmd_list):
        response = get_opsagent_cli_output("get/vim")
        output = load_response_output(response)
        if output is None:
            return "MSG_OPSAGENT_NSXVIM_STATUS_FAILED"

        return "OK\n\n%s" % json.dumps(output)