# Copyright (C) 2019 - 2021 VMware, Inc. All rights reserved.
# -- VMware Confidential

import sha.config

from sha.contrib.monitor.uplink_monitor import UplinkStatusMonitor
from sha.contrib.monitor.metrics_monitor import MetricsMonitor

__all__ = [
    'UplinkStatusMonitor',
    'MetricsMonitor',
]

if (sha.config.NODE_TYPE == sha.config.DIST_ESX and \
    sha.config.BUILD_VERSION == sha.config.VERSION_ESX_70) or \
   sha.config.node_type_is(sha.config.DIST_EDGE, sha.config.DIST_UA):
    from sha.contrib.monitor.trace_data_monitor import TraceMonitor

    __all__.extend('TraceMonitor')
